<p class="topic">
Server Performance Counters
</p>

<p class="text">
Use this tab to monitor your server's current activities. If the server is not running, this tab contains no performance monitoring information.
</p>

<p class="text">
<b>General Information</b>
</p>

<blockquote>
<p class="text">
<b>Server version. </b>Identifies the current server version.
</p>

<p class="text">
<b>Startup time on server. </b>Date and time the server started.
</p>

<p class="text">
<b>Current time on server. </b>Displays the current date and time on the server.
</p>
</blockquote>

<p class="text">
<b>Refresh (button). </b>Click refresh to update the current display.
</p>

<p class="text">
<b>Continuous refresh. </b>Select this checkbox to continuously update the information display.
</p>

<p class="text">
<b>Resource Summary. </b>This table provides the following resource information:
</p>

<blockquote>
<p class="text">
<b>Connections.</b> Gives the total number of connections to this server since startup and the average number of connections per minute since startup.
</p>

<p class="text">
<b>Operations Initiated.</b> Gives the total number of operations initiated since server startup and the average number of operations per minute since startup.
</p>

<p class="text">
<b>Operations Completed.</b> Gives the total number of operations completed by the server since startup and the average number of operations per minute since server startup.
</p>

<p class="text">
<b>Entries Sent To Clients.</b> Gives the total number of entries sent to client applications since server startup in response to search requests and the average number of entries sent to client application per minute since server startup.
</p>

<p class="text">
<b>Bytes Sent To Clients.</b> Gives the total number of bytes sent to client applications and the average number of bytes sent to client applications since server startup.
</p>
</blockquote>

<p class="text">
<b>Current Resource Usage. </b>This table provides the following resource usage information:
</p>

<blockquote>
<p class="text">
<b>Active Threads.</b> Current number of active threads used for handling requests.
</p>

<p class="text">
<b>Open Connections.</b> Total number of open connections.
</p>

<p class="text">
<b>Remaining Available Connections.</b> Total number of remaining connections that the server can concurrently open.
</p>

<p class="text">
<b>Threads Waiting To Read From Client.</b> Provides the current total. This condition occurs when the server starts to receive a request from a client application and then the transmission is halted. This total generally indicates a slow network or client application.
</p>

<p class="text">
<b>Database In Use.</b> Total number of databases being used by the server. 
</p>
</blockquote>

<p class="text">
<b>Connection Status. </b>This table provides information on the amount of resources in use by each currently open connection. The table contains the following information:
</p>

<blockquote>
<p class="text">
<b>Time opened.</b> Indicates when the connection was opened.
</p>

<p class="text">
<b>Started.</b> Indicates the number of operations initiated by this connection.
</p>

<p class="text">
<b>Completed.</b> Indicates the number of operations completed by the server for this connection.
</p>

<p class="text">
<b>Bound As.</b> Indicates the DN used by the client application to connect to the server.
</p>

<p class="text">
<b>Read/Write.</b> Indicates whether the server is currently blocked for read or write access by the client application.
</p>
</blockquote>

<p class="text">
<b>Global Database Cache Information.</b>
</p>

<blockquote>
<p class="text">
<b>Hits.</b> Indicates the number of times the server could process a request by obtaining data from the cache rather than by going to the disk.
</p>

<p class="text">
<b>Tries.</b> The total number of requests performed on your directory since server startup.
</p>

<p class="text">
<b>Hit Ratio.</b> The ratio of cache tries to successful cache lookups. The closer this number is to 100% the better.
</p>

<p class="text">
<b>Pages read in.</b> Indicates the number of pages read from disk into the cache.
</p>

<p class="text">
<b>Pages written out.</b> Indicates the number of pages written from the cache back to disk. 
</p>

<p class="text">
<b>Read-only page evicts.</b> Indicates the number of read-only pages discarded from the cache to make room for new pages. Pages discarded from the cache have to be written to disk, possibly affecting server performance. The lower the number of page evicts the better.
</p>

<p class="text">
<b>Read-write page evicts.</b> Indicates the number of read-write pages discarded from the cache to make room for new pages. This value differs from Pages Written Out in that these are discarded read-write pages that have not been modified.
Pages discarded from the cache have to be written to disk, possibly affecting server performance. The lower the number of page evicts the better.
</p>
</blockquote>
